jQuery(function($) {
  var $searchButton = $('header .search-icon-submit');
  var $searchForm = $('header .search-form');
  
  $searchButton.click(function(e) {
    e.preventDefault();
    
    var $hidden_field = $('header .search-form__row--is-hidden');
    if($hidden_field.length > 0) {
      $searchForm.addClass('search-form--is-open');
      $hidden_field.removeClass('search-form__row--is-hidden');
      
      $searchForm.find('input[type="search"]').focus();
    } else {
      $searchForm.submit();
    }
  });
  
  $('.main .search-form').addClass('search-form--is-open');
  $('.main .search-form__row--is-hidden').removeClass('search-form__row--is-hidden');

  $('.jquery-datepicker').datepicker({
    minDate: 0,
    miaxate: "+1y",
    dateFormat: "dd-mm-yy",
  });
});